1 Reply Latest reply on Sep 23, 2018 5:15 AM by kingfish

    i currently have 18.8.2. Amd says recommender 18.5.1 and optimal 18.9.2 . Should i stay with the 8.2 or pick one from the other two and why?? thanks in advance

    papathe90

      As the topic says. Do i stay with the current one, do i pick one from the other two or no need?